#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        google
%global provider_sub    code
%global provider_tld    com
%global repo            mango-doc
%global provider_prefix %{provider_sub}.%{provider}.%{provider_tld}/p/%{repo}
%global import_path     %{provider_prefix}
%global rev             23dea2f59f66
%global date            20141127

Name:           golang-%{provider}%{provider_sub}-%{repo}
Version:        0.0.0+hg%{date}.%{rev}
Release:        2.1
Summary:        Automatically create man pages from Go packages
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging

%{go_nostrip}
%{go_provides}

%description
Create a man page from a Go package's source file's documentation.

%package -n mango-doc
Summary:        Automatically create man pages from Go packages
Group:          Development/Languages/Golang
AutoReqProv:    Off

%{go_exclusivearch}

%description -n mango-doc
Create a man page from a Go package's source file's documentation.

%prep
%setup -q -n %{repo}-%{rev}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)

%files -n mango-doc
%defattr(-,root,root)
%{_bindir}/mango-doc

%changelog
* Thu Mar 16 2017 thipp@suse.de
- Rename rpmlintrc to golang-googlecode-mango-doc-rpmlintrc
* Tue Mar  7 2017 thipp@suse.de
- Update source
* Tue Dec 13 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Mon Jun  6 2016 tboerger@suse.com
- Also provide mango-doc
* Mon Jun  6 2016 tboerger@suse.com
- Initial packaging
